

/*################################################################################################
 *##################                                                            ##################
 *##################            DoExec - OKit program evaluation                ##################
 *##################                                                            ##################
 *##################                        Header file                         ##################
 *##################                                                            ##################
 *################################################################################################
 */



/*
 * GOKe: Interpreter for the OKit language, based on the libOKeval
 * builtins implementation, and the Gtk GUI toolkit.
 *
 * Copyright (C) 2001 Yann LANDRIN-SCHWEITZER
 *
 *
 * This library is free software;  you can redistribute it and/or modify it
 * under  the terms of the  GNU Lesser General Public License  as published
 * by the  Free Software Foundation;  either version 2.1 of the License, or
 * (at your option) any later version.
 *
 * This  library  is  distributed  in  the hope that it will be useful, but
 * WITHOUT   ANY   WARRANTY;   without   even   the   implied  warranty  of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser
 * General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library;  if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 *
 * Author:   Yann LANDRIN-SCHWEITZER
 * Contact:  varkhan@free.fr
 * Homepage: http://varkhan.free.fr/
 */


#include <OKit/ObjTypes.h>
#include <OKit/SysTypes.h>



 
#define REPORT_ALL 0x01
#define STACK_ALL  0x02
#define PRINT_ALL  0x04
#define PRINT_COM  0x08
#define PRINT_END  0x10
#define STACK_END  0x20
#define ABORT_ON_ERR 0x40
 


//////////////////////////////////////////////////////////////////////////////////////////////////
///////
///////   File loading and execution
///////


long FileLoad(char * file, unsigned long verb, OKit_Stack stk, OKit_NameSpace dom) ;

long FileExec(char * file, unsigned long verb, OKit_Stack stk, OKit_NameSpace dom) ;

long StrExec(char * str, unsigned long verb, OKit_Stack stk, OKit_NameSpace dom) ;

