//################################################################################
//###############                                                  ###############
//###############               Main program startup               ###############
//###############                                                  ###############
//###############                                                  ###############
//################################################################################


/*
 * GOKe: Interpreter for the OKit language, based on the libOKeval
 * builtins implementation, and the Gtk GUI toolkit.
 *
 * Copyright (C) 2001 Yann LANDRIN-SCHWEITZER
 *
 *
 * This library is free software;  you can redistribute it and/or modify it
 * under  the terms of the  GNU Lesser General Public License  as published
 * by the  Free Software Foundation;  either version 2.1 of the License, or
 * (at your option) any later version.
 *
 * This  library  is  distributed  in  the hope that it will be useful, but
 * WITHOUT   ANY   WARRANTY;   without   even   the   implied  warranty  of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser
 * General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library;  if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 *
 * Author:   Yann LANDRIN-SCHWEITZER
 * Contact:  varkhan@free.fr
 * Homepage: http://varkhan.free.fr/
 */


#include <OKit/ErrLog.h>
#include <OKit/ObjTypes.h>
#include <OKit/ParseMod.h>
#include <OKeval/InstSet.h>

#include <stdio.h>
#include <gtk/gtk.h>
#include <string.h>

#include "interface.h"
#include "support.h"

#ifndef PACKAGE_DATA_DIR
#define PACKAGE_DATA_DIR "/usr/share"
#endif

#ifndef PACKAGE_SOURCE_DIR
#define PACKAGE_SOURCE_DIR "/usr/share"
#endif

GtkWidget *dialog_options;

int main (int argc, char *argv[]) {
	GtkWidget *GOKe;
	//  GtkWidget *file_browse;
	//  GtkWidget *dialog_about;
	//  GtkWidget *dialog_syntax;
	//  GtkWidget *dialog_options;

	if( (argc>1)&&!(strncmp(argv[1],"-h",2)&&strncmp(argv[1],"--help",6)) ) {
		printf("GOKe: an OKit programs interpreter, based on the OKit and OKeval libraries.\n") ;
		printf("GOKe and the OKit and OKeval libraries are both (C) 2000 Yann Landrin-Schweitzer,\n") ;
		printf("under licence LGPL. GOKe's GUI is based on Gtk, also LGPL.\n") ;
		printf("This is GOKe version " VERSION "\n") ;
		return 0 ;
	}

	gtk_set_locale ();
	gtk_init (&argc, &argv);

	add_pixmap_directory (PACKAGE_SOURCE_DIR "/Pixmaps");
	add_pixmap_directory ("/usr/share/pixmaps");
	add_pixmap_directory (PACKAGE_DATA_DIR "/pixmaps");

	OKit_BltnSort(BltTable,BltTable_Size) ;
	OKit_ERRTRACEOFF() ;

	GOKe = create_GOKe ();
	gtk_widget_show (GOKe);

	// These components will be created or showed later on

	//  file_browse = create_file_browse ();
	//  gtk_widget_show (file_browse);
	//  dialog_about = create_dialog_about ();
	//  gtk_widget_show (dialog_about);
	//  dialog_syntax = create_dialog_syntax ();
	//  gtk_widget_show (dialog_syntax);
	dialog_options = create_dialog_options ();
	//  gtk_widget_show (dialog_options);

	gtk_main ();

	return 0;

}

